using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class frmListadoEmpresas : Form
    {

        internal ListadoEmpresas moListadoEmp;

        public void msCargarLista ()
        {
            ListViewItem loItem;

            lsvEmpresas.Items.Clear();
            foreach (FichaEmpresa loElemento in moListadoEmp.moObjetos)
            {
                loItem = new ListViewItem();
                loItem.Text = loElemento.msKeyElemento;
                loItem.SubItems.Add (loElemento.msCodCliente);
                loItem.SubItems.Add(loElemento.msNombre);
                loItem.SubItems.Add(loElemento.msCif);
                lsvEmpresas.Items.Add(loItem);
            }

            lblNumPagina.Text = moListadoEmp.mnNumPagina.ToString() + " de " + moListadoEmp.mnTotalPaginas.ToString();
            lblRegistrosMostrados.Text = moListadoEmp.mnNumRegistrosPagina.ToString() + " de " + moListadoEmp.mnTotalRegistros.ToString();
        }

        public frmListadoEmpresas()
        {
            InitializeComponent();
        }

        private void frmListadoEmpresas_Load(object sender, EventArgs e)
        {

        }

        private void cmdCerrar_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
